GET/projects/api/v3/reporting/{reportId}.json
Get a scheduled report by ID.
Returns a single scheduled report with its schedules and options. Supports side-loading of recipients and creators.
Path Params
- Name
reportId- Type
- integer
- required
- Description
Query Params
- Name
reportId- Type
- integer
- Description
report id
- Name
include- Type
- array[string]
- Description
include
- Format
- Comma separated values
- Allowed values
recipientscreators
- Name
fields[users]- Type
- array[string]
- Description
- Format
- Comma separated values
- Allowed values
idfirstNamelastNametitleemailcompanyIdcompanyisAdminisClientUserisServiceAccounttypedeletedavatarUrllengthOfDayworkingHoursIdworkingHouruserRateuserCostcanAddProjects
- Name
fields[reports]- Type
- array[string]
- Description
- Format
- Comma separated values
- Allowed values
idnamedescriptioncolorformatsourceIdcreatedByUserIduserSavedFilterIdschedulesoptions
Responses
- Code
- 200
- Type
- object
- Schema
- Description
- 200 OK
ResponseReport represents a report response.
- Code
- 400
- Type
- object
- Schema
- Description
- 400 Bad Request
ErrorResponse defines how []Error should be marshaled to JSON.
- Code
- 403
- Type
- object
- Schema
- Description
- 403 Forbidden
ErrorResponse defines how []Error should be marshaled to JSON.
- Code
- 404
- Type
- object
- Schema
- Description
- 404 Not Found
ErrorResponse defines how []Error should be marshaled to JSON.
200 OK
ResponseReport
{
"included": {
"users": {
"additionalProp": {
"avatarUrl": "string",
"canAccessPortfolio": true,
"canAddProjects": true,
"canManagePortfolio": true,
"company": {
"id": 0,
"meta": {},
"type": "string"
},
"companyId": 0,
"companyRoleId": 0,
"createdAt": "string",
"createdBy": {
"id": 0,
"meta": {},
"type": "string"
},
"deleted": true,
"email": "string",
"firstName": "string",
"id": 0,
"isAdmin": true,
"isClientUser": true,
"isPlaceholderResource": true,
"isServiceAccount": true,
"jobRoles": [
{
"id": 0,
"meta": {},
"type": "string"
}
],
"lastLogin": "string",
"lastName": "string",
"lengthOfDay": 0,
"meta": {},
"skills": [
{
"id": 0,
"meta": {},
"type": "string"
}
],
"teams": [
{
"id": 0,
"meta": {},
"type": "string"
}
],
"timezone": "string",
"title": "string",
"type": "string",
"updatedAt": "string",
"updatedBy": {
"id": 0,
"meta": {},
"type": "string"
},
"userCost": 0,
"userRate": 0,
"userRates": {
"additionalProp": {
"amount": 0,
"currency": {
"id": 0,
"meta": {},
"type": "string"
}
}
},
"workingHour": {
"id": 0,
"meta": {},
"type": "string"
},
"workingHoursId": 0
}
}
},
"report": {
"color": "string",
"description": "string",
"format": "string",
"id": 0,
"layoutId": 0,
"name": "string",
"sourceId": 0,
"status": "string",
"userSavedFilterId": 0
}
}